include	clib.inc
include	conio.inc
include	mouse.inc

	public	consexit

_TEXT	SEGMENT

consexit PROC DIST
  ifdef __MOUSE__
	call	mouseoff
  endif
	invoke	setcursor, dword ptr console_xy
	test	console,CON_COLOR
	jz	consexit_end
	test	console,CON_REVGA
	jz	consexit_end
	call	resetpal
    consexit_end:
	ret
consexit ENDP

_TEXT	ENDS

	END
